| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iShaderPriorityList Struct Reference

A list of priorities as returned by iShaderCompiler->GetPriorities(). More...

`#include <ivideo/shader/shader.h>`

Inheritance diagram for iShaderPriorityList:

[legend]
List of all members.

## Public Member Functions
virtual size_t | GetCount () const =0
| Get number of priorities.
virtual int | GetPriority (size_t idx) const =0
| Get priority.

## Detailed Description

A list of priorities as returned by iShaderCompiler->GetPriorities().

Definition at line 315 of file shader.h.

## Member Function Documentation

virtual size_t iShaderPriorityList::GetCount | ( |  | ) | const`[pure virtual]`

Get number of priorities.

virtual int iShaderPriorityList::GetPriority | ( | size_t | idx | ) | const`[pure virtual]`

Get priority.

The documentation for this struct was generated from the following file:

- ivideo/shader/shader.h